Subject: Question regarding RFC 7231 Accept header

From: Elviss Strazdins <[email-masked]>
Date: Sat, 26 Dec 2020 06:11:23 +0200

Hello!

RFC 7231 has one thing unclear regarding the media range precedence in the Accept header. RFC 7231, Section 5.3.2. Accept states that media ranges can be overridden by more specific media ranges or specific media types and if more than one media range applies to a given type, the most specific reference has precedence and gives the following example:
1. text/plain;format=flowed
2. text/plain
3. text/*
4. */*

What is the precedence of media ranges that have a wildcard subtype and a parameter? For example which one of these has a higher precedence?
1. text/*;format=flowed
2. text/plain

Could you please clarify which one precedes and could you also improve the section by providing the example with a wildcard subtype and a parameter?

Thank you!
Elviss Strazdins

---

From: Julian Reschke <[email-masked]>
Date: Sat, 26 Dec 2020 06:36:08 +0100

> Could you please clarify which one precedes and could you also improve the section by providing the example with a wildcard subtype and a parameter?

Hi there!

Out of curiosity: have you *ever* seen something like that in practice?
It implies that there are parameters that exist across multiple media
types; "format" certainly does only apply to text/plain.

Best regards, Julian